Retrieve Connection Membership
Returns details of a team membership in a connection.
Request schema
Path parameters
teamId
stringrequired
The unique identifier for the team within the account.
example:
teamId
connectionId
stringrequired
The unique identifier for the connection within the Fivetran system.
example:
connectionId
Header parameters
Authorization
stringrequired
HTTP: basicAuth
HTTP AuthorizationScheme: basic
Accept
string
default:
application/json
example:
application/json
Http + 1.1
GET
https://api.fivetran.com/v1/teams/teamId/connections/connectionId
GET /v1/teams/teamId/connections/connectionId HTTP/1.1 Accept: application/json Authorization: BasicHost: api.fivetran.com
Responses
200
Successful response
200
code
stringrequired
Response status code
example:
Success
message
string
Response status text
example:
Team connection membership retrieved successfully
data
objectrequired
id
stringrequired
The membership entity unique identifier
example:
resource_id
role
stringrequired
The role the user has within the entity
example:
Role Title
created_at
stringrequired
The timestamp that the user created their Fivetran account
format:
date-time
example:
2024-01-01T00:00:00Z
{ "code": "Success", "message": "Team connection membership retrieved successfully", "data": { "id": "resource_id", "role": "Role Title", "created_at": "2024-01-01T00:00:00Z" } }